cairomm 1.16.1

Public Member Functions | List of all members
Cairo::logic_error Class Reference

`#include <cairomm/exception.h>`

Inheritance diagram for Cairo::logic_error:
[legend]

## Public Member Functions
CAIROMM_API | logic_error (ErrorStatus status)
CAIROMM_API | ~logic_error () noexcept override
CAIROMM_API ErrorStatus | get_status_code () const
Public Member Functions inherited from std::logic_error
| logic_error (const string &__arg) _GLIBCXX_TXN_SAFE
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Constructor & Destructor Documentation

## ◆ logic_error()

CAIROMM_API Cairo::logic_error::logic_error | ( | ErrorStatus | status | ) |
| explicit

## ◆ ~logic_error()

CAIROMM_API Cairo::logic_error::~logic_error | ( |  | ) |
| override noexcept

## Member Function Documentation

## ◆ get_status_code()

CAIROMM_API ErrorStatus Cairo::logic_error::get_status_code | ( |  | ) | const

The documentation for this class was generated from the following file:

- cairomm/exception.h